<?php

include '../../core.php';

checkAuth($raUrl);

cabecera (2);

echo "<h1 class='title'>Gesti&oacute;n de solicitudes de certificados</h1>

<h3> Detalles de la solicitud aprobada</h3>\n";
      
$errorCode = "a0";
$copa = $_POST['copa'];
	
$filter = "(&(objectclass=pkirisCertificate)(pkirisCopaID=$copa))";
$justthese = array ("pkirisstatus", "pkirisid", "pkirisdate");
$result = ldap_get_info($ldapVar['base'],$filter,$justthese);
if ( !$result )
   $errorCode = "a4b1c2d1e1";
else {
   list($copaUsr , $kk) = split ('c', $copa);

   // Buscamos la informacion del usuario con la codificacion copa pero con los cuatro digitos primeros
   $filter2 = "(&(objectClass=pkirisEndEntity)(pkirisCopaID=$copaUsr))";
   $justthese = array ("cn","sn","mail","telephonenumber");
   $result2 = ldap_get_info($ldapVar['base'], $filter2, $justthese);
   if ( !$result2 )
      $errorCode = "a4b1c2d1e1";
   else {
      // Obtenemos los datos de la solicitud
      $status = $result[0]["pkirisstatus"][0];
      $id = $result[0]["pkirisid"][0];
      $anio = substr($result[0]["pkirisdate"][0], 0, 4);
      $mes = substr($result[0]["pkirisdate"][0], 4, 2);
      $dia = substr($result[0]["pkirisdate"][0], 6, 2);
      $hora = substr($result[0]["pkirisdate"][0], 8, 2);
      $minuto = substr($result[0]["pkirisdate"][0], 10, 2);
      $segundo = substr($result[0]["pkirisdate"][0], 12, 2);
      $fecha = $dia."/".$mes."/".$anio." - ".$hora.":".$minuto.":".$segundo;
      // y los datos del usuario
      $cn = $result2[0]["cn"][0];
      $sn = $result2[0]["sn"][0];
      $mail = $result2[0]["mail"][0];
      $tel = $result2[0]["telephonenumber"][0];

      echo "<br>
            <div id='tbox'>
              <h3 class='head_a2b1'>Detalles solicitud</h3>
              <div id='tbox_data_a2'>
                <div id='trow'>
                  <div id='tname'>Autoridad de Registro</div>
                  <div id='tvalue'>$raName</div>
                </div>
                <div id='trow'>
                  <div id='tname'>C&oacute;digo de Solicitud</div>
                  <div id='tvalue'>$copa</div>
                </div>
                <div id='trow'>
                  <div id='tname'>Identificador</div>
                  <div id='tvalue'>$id</div>
                </div>
                <div id='trow'>
                  <div id='tname'>Nombre</div>
                  <div id='tvalue'>$cn $sn</div>
                </div>
                <div id='trow'>
                  <div id='tname'>Mail</div>
                  <div id='tvalue'>$mail</div>
                </div>
                <div id='trow'>
                  <div id='tname'>Tel&eacute;fono</div>
                  <div id='tvalue'>$tel</div>
                </div>
                <div id='trow'>
                  <div id='tname'>Fecha de Solicitud</div>
                  <div id='tvalue'>$fecha</div>
                </div>
                <div id='trow'>
                  <div id='tname'>Estado</div>
                  <div id='tvalue'>$status</div>
                </div>
              </div>
            </div>
      <p>Para exportar la solicitud pinche en 'Exportar CSRs' y dele a 'Enviar a la CA'.</p>
      <form method='post' action='csr_manage_export.php' enctype='multipart/form-data' name='csr_process'>
         <input class='button' type='button' value='Volver' onclick='history.back()' />
   </form>\n";
   }
}

// Si se ha producido algun error, llamamos a la funcion encargada de
// tratarlos
if ( $errorCode != "a0" ) {
   echo "<h2> Error mostrando los datos de la solicitud </h2>";

   $pkiLog['eee'] = "none";
   $pkiLog['user'] = "RAadmin";
   $pkiLog['error'] = $errorCode;
   pkirisErrorHandler($pkiLog);
}
   
pie ();

?>
